<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <title>WEB CIFO - Panel de control</title>
  <!-- Custom fonts for this template-->
  <link href="/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <!-- Page level plugin CSS-->
  <link href="/vendor/datatables/dataTables.bootstrap4.css" rel="stylesheet">
  <!-- Custom styles for this template-->
  <link href="/css/sb-admin.css" rel="stylesheet">
  <script type="text/javascript">
    if( window.sessionStorage.getItem('Authorization')==null){
      location.href="/login.html";
    }
    var initTime= new Date();
  </script>
</head>
<body id="page-top">
  <nav class="navbar py-0 navbar-expand navbar-dark bg-dark static-top">
    <a class="navbar-brand mr-1" href="/">CIFO</a>
    <button class="btn btn-link btn-sm text-white order-1 order-sm-0" id="sidebarToggle" >
      <i class="fas fa-bars"></i>
    </button>
    <!-- Navbar -->
    <ul class="navbar-nav  ml-auto mr-0 mr-md-3 my-md-0">
      <li class="nav-item dropdown no-arrow">
        <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <i class="fas fa-user-circle fa-fw"></i>
        </a>
        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
          <a class="dropdown-item" href="#">Configuracion</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">Salir</a>
        </div>
      </li>
    </ul>
  </nav>
  <div id="wrapper">
    <!-- Sidebar -->
    <ul class="sidebar navbar-nav">
      <li class="nav-item ">
        <a class="nav-link" href="/">
          <i class="fas fa-fw fa-tachometer-alt"></i>
          <span>Panel de control</span>
        </a>
      </li>
      <li class="nav-item dropdown show active">
        <a class="nav-link dropdown-toggle" href="#" id="administracionDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
          <i class="fas fa-fw fa-folder"></i>
          <span>Administración</span>
        </a>
        <div class="dropdown-menu show" aria-labelledby="administracionDropdown">
          <h6  class="dropdown-header"><i class="fa fa-users-cog"></i> Gestión usuarios:</h6>
          <a   class="dropdown-item " href="/usuarios"><i class="fa fa-user-friends"></i> Usuarios</a>
          <a   class="dropdown-item active" href="/roles"><i class="fa fa-tags"></i> Roles</a>
          <div class="dropdown-divider"></div>
          <h6  class="dropdown-header"><i class="fa fa-list"></i> Listados:</h6>
          <a   class="dropdown-item" href="/comunidades"><i class="fa fa-globe"></i> Comunidades</a>
          <a   class="dropdown-item" href="/provincias"><i class="fa fa-map-signs"></i> Provincias</a>
          <a   class="dropdown-item" href="/municipios"><i class="fa fa-home"></i> Municipios</a>
        </div>
      </li>
      <li class="nav-item dropdown ">
        <a class="nav-link dropdown-toggle" href="#" id="ofertaDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <i class="fas fa-fw fa-graduation-cap"></i>
          <span>Oferta formativa</span>
        </a>
        <div class="dropdown-menu" aria-labelledby="ofertaDropdown">
          <h6 class="dropdown-header"><i class="fa fa-tools"></i> Gestión ofertas:</h6>
          <a class="dropdown-item" href="/ofertas"><i class="fa fa-laptop-code"></i> Ofertas</a>
          <a class="dropdown-item" href="/matriculas"><i class="fa fa-user-graduate"></i> Matriculas</a>
          <div class="dropdown-divider"></div>
          <h6 class="dropdown-header"><i class="fa fa-list"></i> Listados:</h6>
          <a class="dropdown-item" href="/centros"><i class="fa fa-school"></i> Centros</a>
          <a class="dropdown-item" href="/areas"><i class="fa fa-shapes"></i> Areas</a>
          <a class="dropdown-item" href="/cursos"><i class="fa fa-chalkboard"></i> Cursos</a>
          <a class="dropdown-item" href="/profesores"><i class="fa fa-chalkboard-teacher"></i> Profesores</a>
        </div>
      </li>
      <li class="nav-item dropdown ">
        <a class="nav-link dropdown-toggle" href="#" id="bibliotecaDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <i class="fas fa-fw fa-book"></i>
          <span>Biblioteca</span>
       </a>
       <div class="dropdown-menu" aria-labelledby="bibliotecaDropdown">
          <h6 class="dropdown-header"><i class="fa fa-tools"></i> Gestión biblioteca:</h6>
          <a class="dropdown-item" href="/ejemplares"><i class="fa fa-book"></i> Ejemplares</a>
          <a class="dropdown-item" href="/reservas"><i class="fa fa-address-card"></i> Reservas</a>
          <div class="dropdown-divider"></div>
          <h6 class="dropdown-header"><i class="fa fa-list"></i> Listados:</h6>
          <a class="dropdown-item" href="/libros"><i class="fa fa-book-open"></i> Libros</a>
          <a class="dropdown-item" href="/editoriales"><i class="fa fa-highlighter"></i> Editoriales</a>
          <a class="dropdown-item" href="/autores"><i class="fa fa-pen-nib"></i> Autores</a>
          <a class="dropdown-item" href="/temas"><i class="fa fa-sitemap"></i> Temas</a>
          <a class="dropdown-item" href="/secciones"><i class="fa fa-puzzle-piece"></i> Secciones</a>
        </div>
      </li>
    </ul>

    <div id="content-wrapper">
      <div class="container-fluid">
      
        <!-- Breadcrumbs-->
        <ol class="breadcrumb">
          <li class="breadcrumb-item">
            <a href="/">Panel de control</a>
          </li>
          <li class="breadcrumb-item ">Administración</li>
          <li class="breadcrumb-item active">Roles</li>
        </ol>
        
      <!-- div#cardRoles.card -->
      <div id="cardRoles" class="card mb-3">
          <div class="card-header">
           <div class="row">
           <div class="col-sm-5">
            <i class="fa fa-tags"></i> Lista de roles
           </div>
           <div class="col-sm-7 text-right">
            <a class="btn btn-sm btn-primary" href="/roles/nuevo"><i class="fa fa-tag"></i> Nuevo rol</a>
            </div>
           </div>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <table class="table table-bordered" id="dataTableRoles" style="width:100%;border-collapse:collapse" >
                <thead>
                  <tr>
                    <th>#</th>
                    <th>Nombre</th>
                    <th>Nivel</th>
                    <th class="text-secondary text-center" aria-label="Editar">
                      <span class="sr-only">Editar</span>
                      <i class="fa fa-edit"></i>
                    </th>
                    <th class="text-secondary text-center" aria-label="Eliminar">
                      <span class="sr-only">Eliminar</span>
                      <i class="fa fa-trash"></i>
                    </th>
                  </tr>
                </thead>
                <tfoot>
                  <tr>
                    <th>#</th>
                    <th>Nombre</th>
                    <th>Nivel</th>
                    <th class="text-secondary text-center" aria-label="Editar">
                      <span class="sr-only">Editar</span>
                      <i class="fa fa-edit"></i>
                    </th>
                    <th class="text-secondary text-center" aria-label="Eliminar">
                      <span class="sr-only">Eliminar</span>
                      <i class="fa fa-trash"></i>
                    </th>
                  </tr>
                </tfoot>
                <tbody>
               </tbody>
            </table>
          </div>
         </div>
        <div class="card-footer small text-muted">Numero de ms: <span></span></div>
      </div> <!-- /div#cardRoles.card -->  
      
     </div><!-- /.container-fluid -->
     <!-- Sticky Footer -->
     <footer class="sticky-footer">
        <div class="container my-auto">
          <div class="copyright text-center my-auto">
            <span>Copyright © Cifo  2019</span>
          </div>
        </div>
      </footer>
    </div>
    <!-- /.content-wrapper -->
  </div>
  <!-- /#wrapper -->
  <!-- Scroll to Top Button-->
  <a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
  </a>
  
  <!-- div#editModal.modal -->
  <div id="editModal" class="modal fade"  tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog  " role="document">
      <div class="modal-content ">
        <div class="modal-header">
          <h2 class="h5 modal-title" id="editModalLabel">Editar</h2>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
        
          <div  class="text-danger small text-right">* Campo obligatorio</div>
          <form class="needs-validation" novalidate  >
          <input type="hidden" name="id" value="">
            <div class="form-row">
                <div class="col-lg-6 col-12 mb-3">
                  <label for="nombre">Nombre <small class="text-danger">*</small></label>
                  <input type="text" class="form-control " id="nombre" name="nombre" placeholder="Nombre" value="" required>
                  <div class="invalid-feedback">
                    Este compo es obligatorio y solo letras
                  </div>
                </div>
                <div class="col-lg-6 col-12 mb-3">
                  <label for="nivel">Nivel <small class="text-danger">*</small></label>
                  <input type="number" class="form-control " id="nivel" name="nivel" placeholder="Nivel" value="" required>
                  <div class="invalid-feedback ">
                    Este compo es obligatorio y solo se permiten números
                  </div>
                </div>
            </div>
          </form>
       </div><!-- /.modal-body -->
       <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
          <button type="button" class="btn btn-primary" id="btnSave" >Guardar</button>
       </div><!-- /.modal-footer -->
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog  -->
  </div><!-- div#editModal.modal -->
     

  <!-- Logout Modal-->
  <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="logoutModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="logoutModalLabel">Seguro que quiere salir?</h5>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">Elija "Salir" Si desea salir de la sesión..</div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
          <a class="btn btn-primary" href="#" onclick="window.sessionStorage.removeItem('Authorization');location.href='/'" >Salir</a>
        </div>
      </div>
    </div>
  </div>
  
  <!-- div#removeModal.modal-->
  <div class="modal fade" id="removeModal" tabindex="-1" role="dialog" aria-labelledby="removeModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h2 class="h5 modal-title" id="removeModalLabel">Seguro que quiere eliminar este rol?</h2>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">
          <input type="hidden" value="">
           Elija "Aceptar" Si desea eliminar este rol...
        </div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
          <a class="btn btn-primary" href="javascript:void(0)" id="btnRemove" >Aceptar</a>
        </div>
      </div>
    </div>
  </div>
  
  <!--  div#modalAjax.modal -->
  <div id="modalAjax" class="modal"   data-backdrop="static" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-dialog-centered justify-content-center" role="document">
        <!-- <span class="fa fa-spinner fa-spin fa-3x"></span>-->
        <div class="spinner-border text-light"  style="width: 4rem; height: 4rem;" role="status">
          <span class="sr-only">Loading...</span>
        </div>
    </div>
  </div>
  <!-- /div#modalAjax.modal -->
  
  <!-- Bootstrap core JavaScript-->
  <script src="/vendor/jquery/jquery.min.js"></script>
  <script src="/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="/vendor/jquery-easing/jquery.easing.min.js"></script>

  <!-- Page level plugin JavaScript-->
  <script src="/vendor/chart.js/Chart.min.js"></script>
  <script src="/vendor/datatables/jquery.dataTables.js"></script>
  <script src="/vendor/datatables/dataTables.bootstrap4.js"></script>

  <!-- Custom scripts for all pages-->
  <script src="/js/sb-admin.min.js"></script>

  <!-- scripts for this page-->
  <script type="text/javascript" src="roles.js"></script>

</body>

</html>
